import * as echarts from 'echarts';
import type { ECharts, EChartsOption } from 'echarts';
/**
 * 初始化图表
 * @param {HTMLElement} chartDom
 * @returns
 */
export declare function initChart(chartDom: HTMLElement, option?: EChartsOption): echarts.ECharts;
/**
 * 更新chart的option
 * @param {EChartsOption} option
 */
export declare function updatedChartOption(myChart: ECharts, option: EChartsOption): void;
/**
 * 销毁图表
 * @param {ECharts} myChart
 */
export declare function destroyChart(myChart: ECharts): void;
/**
 * 清除图表
 * @param {ECharts} myChart
 */
export declare function clearChart(myChart: ECharts): void;
/**
 * 启动tooltip切换动画
 * @param {boolean} state
 */
export declare function tooltipAnimationFunc(myChart: ECharts, curIndex: number, lastIndex: number): void;
